org.apache.cassandra.config

## Class ViewDefinition

- java.lang.Object
- - org.apache.cassandra.config.ViewDefinition

    public class ViewDefinition
    extends java.lang.Object

### Field Summary

Fields
`java.util.UUID` `baseTableId`
`java.lang.String` `baseTableName`
`boolean` `includeAllColumns`
`java.lang.String` `ksName`
`CFMetaData` `metadata`
`SelectStatement.RawStatement` `select`
`java.lang.String` `viewName`
`java.lang.String` `whereClause`

### Constructor Summary

Constructors
Constructor and Description
`ViewDefinition(java.lang.String ksName, java.lang.String viewName, java.util.UUID baseTableId, java.lang.String baseTableName, boolean includeAllColumns, SelectStatement.RawStatement select, java.lang.String whereClause, CFMetaData metadata)`
`ViewDefinition(ViewDefinition def)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CFMetaData` `baseTableMetadata()`
`ViewDefinition` `copy()`
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`boolean` `includes(ColumnIdentifier column)`
`void` `renameColumn(ColumnIdentifier from, ColumnIdentifier to)` Replace the column 'from' with 'to' in this materialized view definition's partition, clustering, or included columns.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ksName

    public final java.lang.String ksName

#### viewName

    public final java.lang.String viewName

#### baseTableId

    public final java.util.UUID baseTableId

#### baseTableName

    public final java.lang.String baseTableName

#### includeAllColumns

    public final boolean includeAllColumns

#### metadata

    public final CFMetaData metadata

#### select

    public SelectStatement.RawStatement select

#### whereClause

    public java.lang.String whereClause

### Constructor Detail

#### ViewDefinition

    public ViewDefinition(ViewDefinition def)

#### ViewDefinition

    public ViewDefinition(java.lang.String ksName,
                          java.lang.String viewName,
                          java.util.UUID baseTableId,
                          java.lang.String baseTableName,
                          boolean includeAllColumns,
                          SelectStatement.RawStatement select,
                          java.lang.String whereClause,
                          CFMetaData metadata)

Parameters:
  `viewName` - Name of the view
  `baseTableId` - Internal ID of the table which this view is based off of
  `includeAllColumns` - Whether to include all columns or not

### Method Detail

#### includes

    public boolean includes(ColumnIdentifier column)

Returns:
  true if the view specified by this definition will include the column, false otherwise

#### copy

    public ViewDefinition copy()

#### baseTableMetadata

    public CFMetaData baseTableMetadata()

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### renameColumn

    public void renameColumn(ColumnIdentifier from,
                             ColumnIdentifier to)

Replace the column 'from' with 'to' in this materialized view definition's partition, clustering, or included columns.

Parameters:
  `from` - the existing column
  `to` - the new column